Last Comment Bug 766834 - TB-IM Status tooltips not updated for chats without status
: TB-IM Status tooltips not updated for chats without status
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Mike Conley (:mconley) - (Needinfo me!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 20:32 PDT by :Mook
Modified: 2012-07-23 13:02 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch v1 (2.82 KB, patch)
2012-07-19 11:53 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details | Diff | Review
Patch v2 (4.69 KB, patch)
2012-07-20 08:32 PDT, Mike Conley (:mconley) - (Needinfo me!)
florian: review+
bwinton: approval‑comm‑aurora+
bwinton: approval‑comm‑beta+
Details | Diff | Review

Description :Mook 2012-06-20 20:32:49 PDT
STR:
1. Open a chat with somebody with a status (e.g. #developers on irc.m.o, where the status is the channel topic)
2. Open a chat with somebody without a status (e.g. NickServ on irc.m.o) in the same window/tab
3. Hover the mouse cursor over the "Unknown" status, below the contact name

Expected results:
No tooltip, or a tooltip saying "Status unknown", or something

Actual results:
A tooltip shows, containing the status of the last displayed conversation that had one (in this case, the topic for #developers)

Mozilla/5.0 (X11; Linux x86_64; rv:16.0) Gecko/16.0 Thunderbird/16.0a1 20120620030201
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-07-19 11:53:00 PDT
Created attachment 643950 [details] [diff] [review]
Patch v1

I opted to make the tooltip visible in all cases, for consistencies sake.
Comment 2 Florian Quèze [:florian] [:flo] 2012-07-20 06:30:22 PDT
Comment on attachment 643950 [details] [diff] [review]
Patch v1

Seems good.
Comment 3 Florian Quèze [:florian] [:flo] 2012-07-20 06:51:26 PDT
(In reply to Florian Quèze from comment #2)
> Comment on attachment 643950 [details] [diff] [review]
> Patch v1
> 
> Seems good.

Looked at this again while reviewing bug 772773. Is it expected that the status tooltip is displayed while hovering the "is typing" or "has stopped typing" message?
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2012-07-20 07:00:00 PDT
(In reply to Florian Quèze from comment #3)
> (In reply to Florian Quèze from comment #2)
> > Comment on attachment 643950 [details] [diff] [review]
> > Patch v1
> > 
> > Seems good.
> 
> Looked at this again while reviewing bug 772773. Is it expected that the
> status tooltip is displayed while hovering the "is typing" or "has stopped
> typing" message?

It's probably OK - consistency is good - I'd rather do that then display tooltips only sometimes.
Comment 5 Florian Quèze [:florian] [:flo] 2012-07-20 07:04:16 PDT
Wouldn't you expect "<display name> is typing" in the tooltip?
Comment 6 Mike Conley (:mconley) - (Needinfo me!) 2012-07-20 07:12:31 PDT
(In reply to Florian Quèze from comment #5)
> Wouldn't you expect "<display name> is typing" in the tooltip?

Isn't that what it's displaying?

If not, then yes, something is wrong.
Comment 7 Florian Quèze [:florian] [:flo] 2012-07-20 07:14:27 PDT
It displays the contact's status (in the case I tested it displayed "Idle - test").
Comment 8 Mike Conley (:mconley) - (Needinfo me!) 2012-07-20 07:14:50 PDT
(In reply to Florian Quèze from comment #7)
> It displays the contact's status (in the case I tested it displayed "Idle -
> test").

Yep, that's not right.
Comment 9 Mike Conley (:mconley) - (Needinfo me!) 2012-07-20 08:17:11 PDT
Comment on attachment 643950 [details] [diff] [review]
Patch v1

Clearing these flags, due to the post-review issue that Florian found.
Comment 10 Mike Conley (:mconley) - (Needinfo me!) 2012-07-20 08:32:41 PDT
Created attachment 644352 [details] [diff] [review]
Patch v2

Florian:

Ok, now when the contact is typing, the tooltip reads "[name] is typing", when they've stopped, "[name] has stopped typing".

-Mike
Comment 11 Blake Winton (:bwinton) (:☕️) 2012-07-23 11:51:38 PDT
Comment on attachment 644352 [details] [diff] [review]
Patch v2

Yeah, I really think we want to have this on aurora/beta.
Comment 13 Mike Conley (:mconley) - (Needinfo me!) 2012-07-23 13:02:38 PDT
Backed out of comm-beta since we landed on a SeaMonkey relbranch (oops).

Re-landed on comm-beta as: https://hg.mozilla.org/releases/comm-beta/rev/716a3a38c313

Note You need to log in before you can comment on or make changes to this bug.